Stable Audio 3 Medium Base Audio Inpainting
Integreren
stable-audio-3/medium/base/audio-inpainting
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/stable-audio-3/medium/base/audio-inpainting?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/stable-audio-3/medium/base/audio-inpainting", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/nl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "stable-audio-3/medium/base/audio-inpainting",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}
}
Roep het Stable Audio 3 Medium Base Audio Inpainting-model (stable-audio-3/medium/base/audio-inpainting) aan via de Doitong API. Documentatie voor agents: https://doitong.com/nl/developers/models/stable-audio-3/medium/base/audio-inpainting.md
POST https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}
Als de responsstatus "queued" of "running" is, poll dan GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 totdat deze "succeeded" is; de bestanden staan in outputs[].url. POST https://api.doitong.ru/v1/quote/stable-audio-3/medium/base/audio-inpainting met dezelfde body retourneert de exacte prijs vóór de uitvoering.
Deze request: $ 0,054 54 API-tegoed · ≈ ₽ 5,81 Op deze pagina uitvoeren
Je nieuwe API-sleutel. Deze wordt alleen nu getoond en staat al in de code en in het onderstaande API-sleutelveld. Houd deze geheim: zet deze nooit in code die in een browser wordt uitgevoerd.
Je eerste resultaat komt hier
Bouw hieronder een request en voer die uit met je API-sleutel. Uitvoer wordt naar onze opslag gekopieerd en voor altijd of 7 dagen gratis bewaard.
Een aanvraag samenstellen
Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.
/run/stable-audio-3/medium/base/audio-inpainting?wait=20
prijsopgave → $ 0,054
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/medium/base/audio-inpainting?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/stable-audio-3/medium/base/audio-inpainting?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/stable-audio-3/medium/base/audio-inpainting", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "stable-audio-3/medium/base/audio-inpainting",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
},
"wait_seconds": 20
}
}
}
Deze request uitvoeren
Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen
Over Stable Audio 3 Medium Base Audio Inpainting
Genereert het gebied van `audio_url` tussen `mask_start_seconds` en `mask_end_seconds` (tot 380 seconden) opnieuw vanuit een `prompt`. Dit niet-gedistilleerde checkpoint gebruikt standaard 50 samplingstappen en `guidance_scale` 7, dat hier daadwerkelijk effect heeft. Uitvoerindelingen zijn onder meer mp3, wav, flac, ogg, opus, m4a en aac.
Parameters
Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen
negative_promptoptioneel
num_inference_stepsoptioneel
guidance_scaleoptioneel
seedoptioneel
enable_prompt_expansionoptioneel
enable_safety_checkeroptioneel
output_formatoptioneel
bitrateoptioneel
promptverplicht
audio_urlverplicht
audio
mask_start_secondsverplicht
mask_end_secondsverplicht
Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden
Uitvoer
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "stable-audio-3/medium/base/audio-inpainting",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 54,
"usd": "0.054",
"charged": 54,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"mask_start_seconds": 4,
"mask_end_seconds": 8
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"prompt": "string"
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Velden van de uitvoer
- audio
- object {url, content_type, file_name, file_size}Audioclip die door generatie is geproduceerd.
- seed
- integerSeed die de willekeur tijdens generatie bepaalde.
- prompt
- stringPrompt die is gebruikt om de uitvoer te genereren.
Andere varianten van Stable Audio 3
Meer modellen: Audio
Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/stable-audio-3/medium/base/audio-inpainting.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt